Package com.orbbec.obsensor

## Enum SensorType

- java.lang.Object
- - java.lang.Enum<SensorType>
  - - com.orbbec.obsensor.SensorType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SensorType>`

    public enum SensorType
    extends java.lang.Enum<SensorType>

Enumeration value describing the sensor type

### Enum Constant Summary

Enum Constants
`ACCEL` accelerometer
`COLOR` color
`DEPTH` depth
`GYRO` gyro
`IR` infrared
`IR_LEFT` Left IR
`IR_RIGHT` Right IR
`RAW_PHASE` Raw Phase
`UNKNOWN` Unknown type sensor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SensorType` `get​(int value)` Get the sensor type corresponding to the specified index
`int` `value()` Get the index corresponding to the sensor type
`static SensorType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SensorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final SensorType UNKNOWN

Unknown type sensor

#### IR

    public static final SensorType IR

infrared

#### COLOR

    public static final SensorType COLOR

color

#### DEPTH

    public static final SensorType DEPTH

depth

#### ACCEL

    public static final SensorType ACCEL

accelerometer

#### GYRO

    public static final SensorType GYRO

gyro

#### IR_LEFT

    public static final SensorType IR_LEFT

Left IR

#### IR_RIGHT

    public static final SensorType IR_RIGHT

Right IR

#### RAW_PHASE

    public static final SensorType RAW_PHASE

Raw Phase

### Method Detail

#### values

    public static SensorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SensorType c : SensorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SensorType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the sensor type

Returns:
  index value

#### get

    public static SensorType get​(int value)

Get the sensor type corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  sensor type